# Uses of Interface
org.eclipse.emf.cdo.common.model.CDOPackageRegistry

Packages that use CDOPackageRegistry
Package
Description
org.eclipse.emf.cdo.common.commit.handler
Some useful commit info handler implementations.
org.eclipse.emf.cdo.common.model
Common concepts for dealing with models and types.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.net4j
Client concepts for dealing with Net4j-based sessions to remote repositories.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.model
Common service provider interfaces and useful base implementations for dealing with models and types
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.

## Uses of CDOPackageRegistry in org.eclipse.emf.cdo.common.commit.handler

Constructors in org.eclipse.emf.cdo.common.commit.handler with parameters of type CDOPackageRegistry
Modifier
Constructor
Description
``
`BinaryCommitInfoLog(OutputStream stream, CDOPackageRegistry packageRegistry)`
``
`BinaryCommitInfoLog(OutputStream stream, CDOPackageRegistry packageRegistry, CDORevisionUnchunker unchunker)`

## Uses of CDOPackageRegistry in org.eclipse.emf.cdo.common.model

Methods in org.eclipse.emf.cdo.common.model that return CDOPackageRegistry
Modifier and Type
Method
Description
`CDOPackageRegistry`
CDOPackageUnit.`getPackageRegistry()`
Returns the package registry this package unit is managed by.
`CDOPackageRegistry`
CDOPackageRegistryPopulator.`getTarget()`
Methods in org.eclipse.emf.cdo.common.model with parameters of type CDOPackageRegistry
Modifier and Type
Method
Description
`static CDOPackageInfo`
CDOModelUtil.`getPackageInfo(Object value, CDOPackageRegistry packageRegistry)`
`static boolean`
CDOPackageRegistryPopulator.`populate(CDOPackageRegistry target)`
`static boolean`
CDOPackageRegistryPopulator.`populate(EPackage.Registry source, CDOPackageRegistry target)`
Constructors in org.eclipse.emf.cdo.common.model with parameters of type CDOPackageRegistry
Modifier
Constructor
Description
``
`CDOPackageRegistryPopulator(CDOPackageRegistry target)`
``
`CDOPackageRegistryPopulator(EPackage.Registry source, CDOPackageRegistry target)`

## Uses of CDOPackageRegistry in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOPackageRegistry
Modifier and Type
Method
Description
`CDOPackageRegistry`
CDODataInput.`getPackageRegistry()`
`CDOPackageRegistry`
CDODataOutput.`getPackageRegistry()`

## Uses of CDOPackageRegistry in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDOPackageRegistry
Modifier and Type
Method
Description
`static CDODataInput`
CDOCommonUtil.`createCDODataInput(org.eclipse.net4j.util.io.ExtendedDataInputStream inputStream, CDOPackageRegistry packageRegistry, CDOBranchManager branchManager, CDOCommitInfoManager commitManager, CDORevisionFactory revisionFactory, CDOListFactory listFactory, CDOLobStore lobStore)`
`static CDODataOutput`
CDOCommonUtil.`createCDODataOutput(org.eclipse.net4j.util.io.ExtendedDataOutput extendedDataOutputStream, CDOPackageRegistry packageRegistry, CDOIDProvider idProvider)`
Deprecated.
As of 4.3 use `CDOCommonUtil.createCDODataOutput(ExtendedDataOutput, CDOPackageRegistry, CDOIDProvider, CDORevisionUnchunker)`.
`static CDODataOutput`
CDOCommonUtil.`createCDODataOutput(org.eclipse.net4j.util.io.ExtendedDataOutput extendedDataOutputStream, CDOPackageRegistry packageRegistry, CDOIDProvider idProvider, CDORevisionUnchunker unchunker)`
Constructors in org.eclipse.emf.cdo.common.util with parameters of type CDOPackageRegistry
Modifier
Constructor
Description
``
`CDOFetchRule(CDODataInput in, CDOPackageRegistry packageManager)`

## Uses of CDOPackageRegistry in org.eclipse.emf.cdo.net4j

Methods in org.eclipse.emf.cdo.net4j that return CDOPackageRegistry
Modifier and Type
Method
Description
`CDOPackageRegistry`
CDONet4jSessionConfiguration.`getPackageRegistry()`
Methods in org.eclipse.emf.cdo.net4j with parameters of type CDOPackageRegistry
Modifier and Type
Method
Description
`void`
CDONet4jSessionConfiguration.`setPackageRegistry(CDOPackageRegistry packageRegistry)`
A special package registry can be set before the session is opened and can not be changed thereafter.

## Uses of CDOPackageRegistry in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOPackageRegistry
Modifier and Type
Method
Description
`CDOPackageRegistry`
IRepository.`getPackageRegistry()`
Returns the EMF `package registry` that is used by this repository.

## Uses of CDOPackageRegistry in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl with parameters of type CDOPackageRegistry
Modifier and Type
Method
Description
`protected org.eclipse.ocl.expressions.OCLExpression<EClassifier>`
OCLQueryHandler.`createInitExpression(org.eclipse.ocl.types.OCLStandardLibrary<EClassifier> stdLib, CDOPackageRegistry packageRegistry, Object value)`
`protected static EClassifier`
OCLQueryHandler.ContextParameter.`getArbitraryContextClassifier(CDOPackageRegistry packageRegistry)`
`protected EClassifier`
OCLQueryHandler.`getArbitraryContextClassifier(CDOPackageRegistry packageRegistry)`
Deprecated.
As of 4.2 no longer supported.
`protected void`
OCLQueryHandler.`initEnvironment(org.eclipse.ocl.Environment<?,EClassifier,?,?,?,?,?,?,?,org.eclipse.ocl.ecore.Constraint,EClass,EObject> environment, CDOPackageRegistry packageRegistry, Map<String,Object> parameters)`

## Uses of CDOPackageRegistry in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOPackageRegistry
Modifier and Type
Method
Description
`CDOPackageRegistry`
CDOSession.`getPackageRegistry()`
Returns the EMF `package registry` that is used by all `objects` of all `views` of this session.

## Uses of CDOPackageRegistry in org.eclipse.emf.cdo.spi.common.model

Subinterfaces of CDOPackageRegistry in org.eclipse.emf.cdo.spi.common.model
Modifier and Type
Interface
Description
`interface`
`InternalCDOPackageRegistry`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.model that implement CDOPackageRegistry
Modifier and Type
Class
Description
`class`
`DelegatingCDOPackageRegistry`
Deprecated.

## Uses of CDOPackageRegistry in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOPackageRegistry
Modifier and Type
Method
Description
`CDOPackageRegistry`
CDODataInputImpl.Default.`getPackageRegistry()`
`CDOPackageRegistry`
CDODataOutputImpl.`getPackageRegistry()`